
#include "mbed.h"
#include "math.h"

#include "HMC5883L.h"
#include "ADXL345_I2C.h"
#include "L3G4200D.h"
#include "BMP085.h"
#include "HK10DOF.h"

//#include "PwmIn.h"


PwmOut rled(LED_RED);
PwmOut gled(LED_GREEN);
PwmOut bled(LED_BLUE);

HK10DOF imu(PTE0,PTE1);
float ypr[3];
float values[9];

int main()
{
    rled=1;
    gled=1;
    
    imu.pc.printf("Ceci est un Test\r\n");
    imu.init(true);
    imu.pc.printf("Test passe\r\n");
    float alt=0;


    while(1) {
        //imu.getValues(values);
        imu.getYawPitchRoll(ypr);
        imu.pc.printf("YAW: %03.0f PITCH: %03.0f ROLL: %03.0f \n\r",ypr[0],ypr[1],ypr[2]);
        alt=imu.getBaroAlt();
        //imu.pc.printf("ALT : %03.0f",alt);
        
        //imu.pc.printf("ACC: %04.0f %04.0f %04.0f GYR: %04.0f %04.0f %04.0f MAG: %04.0f %04.0f %04.0f \n\r",values[0], values[1], values[2], values[3], values[4], values[5], values[6], values[7], values[8] );
        wait_ms(1);
        bled=!bled;



    }





}